Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class CorrelationSetWriteEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent
                      org.apache.ode.bpel.evt.CorrelationSetEvent
                          org.apache.ode.bpel.evt.CorrelationSetWriteEvent

All Implemented Interfaces:
  java.io.Serializable

    public class CorrelationSetWriteEvent

extends CorrelationSetEvent

Correlation was set event.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.CorrelationSetEvent
`_correlationSetName`

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`CorrelationSetWriteEvent(java.lang.String csetName, CorrelationKey key)`

Method Summary
`CorrelationKey` | `getKey()` Correlation key.
`void` | `setKey(CorrelationKey key)`

Methods inherited from class org.apache.ode.bpel.evt.CorrelationSetEvent
`getCorrelationSetName, getType, setCorrelationSetName`

Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent
`getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorrelationSetWriteEvent

    public CorrelationSetWriteEvent(java.lang.String csetName,
                                    CorrelationKey key)

Method Detail

### getKey

    public CorrelationKey getKey()

  Correlation key.

  Returns:
    Returns the key.

### setKey

    public void setKey(CorrelationKey key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD